Incompatibilité Java 1.6 : la grogne monte chez les utilisateurs de Leopard

Cloud

Quelques jours après le lancement du dernier système d’exploitation d’Apple, les plaintes s’accumulent. Le “mauvais” support de Java 1.6 est en cause.

Les premiers clients du tout nouveau système d’exploitation OS X 10.5 Leopard d’Apple ont eu la mauvaise surprise de constater que le système ne prenait pas en charge la dernière version du langage de programmation Java. Des fils de discussion ont commencé à émerger sur le forum de support technique d’Apple à la suite du lancement d’OS X Leopard le 26 octobre et de nombreux utilisateurs ont signalé des problèmes d’exécution avec le code écrit sous Java 1.6 (également appelé Java 6).

Le problème est apparemment lié à une version ancienne du JVM (Java Virtual Machine), une application qui permet à OS X d’interpréter et d’exécuter du code Java.

Java 1.6 a été officiellement publié en décembre 2006, mais Leopard ne prend en charge que Java 1.5. Sun Microsystems, qui supervise le développement du langage Java, a publié les JVM Java 1.6 pour Linux et Windows. Selon un porte-parole de Sun, l’éditeur ne propose pas de JVM pour OS X car Apple insiste pour développer sa propre version.

Apple avait autorisé les développeurs à utiliser une version bêta d’un JVM Java 1.6, mais cette version aurait été retirée du site de développeurs Apple. La Pomme s’est refusée à tout commentaire à ce sujet.

Les utilisateurs ont critiqué ouvertement Apple sur les forums de support technique. “C’est réellement handicapant. Je vais devoir repasser à 10.4 puisque mon travail en tant qu’ingénieur logiciel chez Sun m’oblige à travailler sous Java 6”, écrit un utilisateur. “Ce problème va sans doute empêcher de nombreuses personnes de se mettre à niveau”, ajoute-t-il.

Pour couronner le tout, de nombreux fils relatifs à ce problème ont été apparemment supprimés du forum d’Apple sans autre forme d’explication. Dans un article publié sur le site de développeurs Javalobby, le blogueur Michael Urban a promis de renoncer définitivement à la plate-forme Mac.

“Non seulement Leopard ne prend pas en charge Java 6, mais Apple, fidèle à son habitude, pense apparemment qu’il n’a aucune obligation d’informer ses clients sur les raisons qui l’ont amené à modifier ses plans, ni quand (ou même à ce se stade, si) Apple proposera un jour une version opérationnelle de Java 6”, écrit-il. “C’est pourquoi aujourd’hui je dis haut et fort : ‘Au revoir Apple. La fête est finie.'”

Adaptation de l’article Leopard users unable to run Java 1.6 de Vnunet.com en date du 30 octobre 2007.


Lire la biographie de l´auteur  Masquer la biographie de l´auteur